#ifndef _MQTT_API_H_
#define _MQTT_API_H_
#include "MQTTAsync.h"
#include "kcloud_log.h"
#include "kcloud_config.h"

extern void KK_Sendto_CloudData(void *data);

extern int KK_MQTT_SubTopic(MQTTAsync handle,char *topicName,int qos,int waitTimeout);

extern int KK_MQTT_SendMsg(char *topicName,const char *payload,int qos);

extern int KK_MQTT_RecvMsg(MQTTAsync handle,const char *topicName,const char *payload);

extern int KK_MQTT_UnsubTopic(MQTTAsync handle,const char *topicName);

extern MQTTAsync KK_MQTT_Connect(void);

#endif

